SpeciesDetail (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.detail

## Class SpeciesDetail

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - org.gcube.portlets.user.speciesdiscovery.client.detail.SpeciesDetail

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, com.google.gwt.user.client.rpc.IsSerializable, Serializable

      public class SpeciesDetail
      extends com.extjs.gxt.ui.client.data.BaseModel
      implements com.google.gwt.user.client.rpc.IsSerializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeciesDetail()`
    `SpeciesDetail(String name, String value, String group)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroup()`
    `String` | `getName()`
    `String` | `getValue()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames`

- - ### Constructor Detail

    - #### SpeciesDetail

          public SpeciesDetail()

    - #### SpeciesDetail

          public SpeciesDetail(String name,
                       String value,
                       String group)

  - ### Method Detail

    - #### getGroup

          public String getGroup()

    - #### getName

          public String getName()

    - #### getValue

          public String getValue()

Copyright © 2013. All Rights Reserved.